Store a submission request Run in API Explorer
Ask AI
POST
/api/v1/form/{form_uuid}/submission-request/{account_uuid}
curl \
--request POST 'https://api.plannrcrm.com/api/v1/form/6ff8f7f6-1eb3-3525-be4a-3932c805afed/submission-request/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"description": "Please can you submit your annual survey form"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"description": "Please can you submit your annual survey form"
}
Response examples (201)
{
"uuid": "1b179151-665d-4cb5-a5f3-6c2df8e2db9c",
"created_at": "2026-10-08T16:24:03+01:00",
"updated_at": "2026-10-08T16:24:03+01:00",
"description": "Please submit your annual survey form",
"form": {
"uuid": "af07cee5-84c6-4be4-ae88-7b7fad70f644",
"created_at": "2026-10-08T16:24:03+01:00",
"updated_at": "2026-10-08T16:24:03+01:00",
"title": "Annual Catchup 2022",
"description": "This is the annual catchup form for 2022",
"live": true,
"visibility": "public",
"sections": {
"uuid": "1e0b0387-d464-469d-9a05-4ddd62400664",
"created_at": "2026-10-08T16:24:08+01:00",
"updated_at": "2026-10-08T16:24:08+01:00",
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_primary": true
},
"allowed_hosts": [
"domain.com",
"subdomain.domain.com"
],
"draft_submissions_count": 5,
"submitted_submissions_count": 5,
"create_client": true,
"client_type": "client"
},
"has_submission": true,
"submission": {
"uuid": "a6bc387c-d3e1-4b05-b8f2-cf16219ee6cd",
"created_at": "2026-10-08T16:24:03+01:00",
"updated_at": "2026-10-08T16:24:03+01:00",
"stage": "draft",
"account": {
"uuid": "1c3191a1-d157-4ac7-bed1-951db7a5961b",
"created_at": "2026-10-08T16:24:08+01:00",
"updated_at": "2026-10-08T16:24:08+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-08T16:24:08+01:00",
"next_review_date": "2026-10-08T16:24:08+01:00",
"previous_review_date": "2026-10-08T16:24:08+01:00",
"anniversary_review_date": "2026-10-08T16:24:08+01:00",
"terms_of_business_at": "2026-10-08T16:24:08+01:00",
"client_agreement_at": "2026-10-08T16:24:08+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-08",
"last_interaction_at": "2026-10-08 16:24:08",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-08T16:24:08+01:00",
"out_of_office_until": "2026-10-08T16:24:08+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"request": {
"uuid": "b3b7e3dc-64b3-4786-b2a3-b70ad590276c",
"created_at": "2026-10-08T16:24:08+01:00",
"updated_at": "2026-10-08T16:24:08+01:00",
"description": "Please submit your annual survey form",
"has_submission": true
},
"form": {
"uuid": "cf7db4d2-761b-41a6-be6e-66dfd8b69a20",
"created_at": "2026-10-08T16:24:08+01:00",
"updated_at": "2026-10-08T16:24:08+01:00",
"title": "Annual Catchup 2022",
"description": "This is the annual catchup form for 2022",
"live": true,
"visibility": "public",
"allowed_hosts": [
"domain.com",
"subdomain.domain.com"
],
"draft_submissions_count": 5,
"submitted_submissions_count": 5,
"create_client": true,
"client_type": "client"
},
"answers": [
{
"first_name": "john",
"last_name": "olive"
}
]
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}